# Guide to documentation

- [Quickstart-As-Application.md](Quickstart-As-Application.md): This is how to start using Cayley as an application.  This is a great place to start.
  - [Configuration.md](Configuration.md): This defines how the application configuration file works -- a great thing to scan through when you are getting started.
  - [GizmoAPI.md](GizmoAPI.md): This is the one of the two query languages used either via the REPL or HTTP interface.
  - [GraphQL.md](GraphQL.md): The GraphQL-inspired query language. 
  - [MQL.md](MQL.md): The *other* query language the interfaces support. 
  - [HTTP.md](HTTP.md): The simple HTTP API interface.
- [Quickstart-As-Lib.md](Quickstart-As-Lib.md): How to use Cayley as a library directly from Go. 
- [3rd-Party-APIs.md](3rd-Party-APIs.md): Exactly what it says on the tin, a list of 3rd party APIs.  If you have one you would like to see added, just submit a pull request. 
- [HACKING.md](HACKING.md): See [Contributing.md](Contributing.md)
- [Contributing.md](Contributing.md): You starting point for getting involved in the project.
- [Locations.md](Locations.md): Where you can find parts of our community, and even bits of important code.
- [Container.md](Container.md): How to use the Cayley docker container.
- [Todo.md](Todo.md): Basically moved into [Issues](https://github.com/cayleygraph/cayley/issues)
- [FAQ.md](FAQ.md): Frequently Asked Questions
